=== plugins/floaty/CMakeLists.txt ===
##################
# floaty library #
##################
SET(floaty_SRCS
        floaty.cpp
        floatywnd.cpp
)

SET(floaty_HDRS
        floaty.h
        floatywnd.h
)

SIM_ADD_PLUGIN(floaty)
