## sim 0.9.5~svn20080806

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,9 @@
 INCLUDE(FindQt3)
 INCLUDE(MacroEnsureOutOfSourceBuild)
 
+IF(NOT WIN32)
 MACRO_ENSURE_OUT_OF_SOURCE_BUILD("SIM-IM requires an out of source build. Please create a separate build directory and run 'cmake path_to_sim_im [options]' there.")
+ENDIF(NOT WIN32)
 
 INCLUDE(Flex)
 INCLUDE(Jisp)
@@ -37,35 +39,36 @@
 FIND_PACKAGE(LibXml2 REQUIRED)
 FIND_PACKAGE(LibXslt REQUIRED)
 FIND_PACKAGE(ZLIB REQUIRED)
+FIND_PACKAGE(OpenSSL REQUIRED)
 IF(WIN32)
     FIND_PACKAGE(LibIconv REQUIRED)
 ENDIF(WIN32)
 
 # optional packages
 FIND_PACKAGE(ASPELL)
-FIND_PACKAGE(OpenSSL)
+
 INCLUDE(FindX11)
 
 IF(NOT WIN32)
     INCLUDE(FindKDE3)
     IF(KDE3_FOUND)
-        OPTION(USE_KDE3 "Use kde3 integration" YES)
-        IF(USE_KDE3)
+        OPTION(ENABLE_KDE3 "Use kde3 integration" YES)
+        IF(ENABLE_KDE3)
             INCLUDE_DIRECTORIES(${KDE3_INCLUDE_DIRS})
             LINK_DIRECTORIES(${KDE3_LIB_DIR})
-        ENDIF(USE_KDE3)
+        ENDIF(ENABLE_KDE3)
     ENDIF(KDE3_FOUND)
 ENDIF(NOT WIN32)
 
 # do config checks
 INCLUDE(ConfigureChecks.cmake)
 
-MACRO_BOOL_TO_01(OPENSSL_FOUND USE_OPENSSL)
+MACRO_BOOL_TO_01(OPENSSL_FOUND ENABLE_OPENSSL)
 MACRO_BOOL_TO_01(X11_FOUND HAVE_X)
-MACRO_BOOL_TO_01(USE_KDE3 USE_KDE)
+MACRO_BOOL_TO_01(ENABLE_KDE3 USE_KDE)
 
 # development or release builds
-OPTION(DEV_BUILD "Build development version" NO)
+OPTION(DEV_BUILD "Build development version" YES)
 MACRO_BOOL_TO_01(DEV_BUILD CVS_BUILD)
 
 # global settings for every project
