=== sim/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
         country.cpp
         datepicker.cpp
         editfile.cpp
+        event.cpp
         exec.cpp
         fetch.cpp
         fontedit.cpp
@@ -26,13 +27,13 @@
         listview.cpp
         log.cpp
         message.cpp
+        misc.cpp
         plugins.cpp
         preview.cpp
         qchildwidget.cpp
         qcolorbutton.cpp
         qkeybutton.cpp
         sax.cpp
-        simapi.cpp
         socket.cpp
         sockfactory.cpp
         sslclient.cpp
@@ -41,8 +42,9 @@
         translit.cpp
         unquot.cpp
         xsl.cpp
-        qzip.cpp
-        unzip.c
+        qzip/ioapi.c
+        qzip/qzip.cpp
+        qzip/unzip.c
     )
 
 SET(sim_LIB_HDRS
@@ -50,8 +52,13 @@
         ballonmsg.h
         buffer.h
         builtinlogger.h
+        cfg.h
+        cmddef.h
+        contacts.h
+        country.h
         datepicker.h
         editfile.h
+        event.h
         exec.h
         fetch.h
         fontedit.h
@@ -59,6 +66,10 @@
         intedit.h
         linklabel.h
         listview.h
+        log.h
+        message.h
+        misc.h
+        plugins.h
         preview.h
         qchildwidget.h
         qcolorbutton.h
@@ -70,9 +81,11 @@
         textshow.h
         toolbtn.h
         translit.h
+        unquot.h
         xsl.h
-        qzip.h
-    	unzip.h
+        qzip/ioapi.h
+        qzip/qzip.h
+        qzip/unzip.h
     )
 
 # moc the sources
@@ -104,11 +117,11 @@
   TARGET_LINK_LIBRARIES(simlib ${OPENSSL_LIBRARIES} ${OPENSSL_EAY_LIBRARIES})
 endif(OPENSSL_FOUND)
 
-IF(USE_KDE3)
+IF(ENABLE_KDE3)
   ADD_DEFINITIONS(${KDE3_DEFINITIONS})
   LINK_DIRECTORIES(${KDE3_LIB_DIR})
   TARGET_LINK_LIBRARIES(simlib ${QT_AND_KDECORE_LIBS} kdeui kio)
-ENDIF(USE_KDE3)
+ENDIF(ENABLE_KDE3)
 
 # we need wsock32 on win32
 if (WIN32)
