=== plugins/autoaway/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 IF(NOT WIN32)
     INCLUDE(CheckFunctionExists)
+    INCLUDE(FindX11)
     INCLUDE(CheckLibraryExists)
     #SET(CMAKE_REQUIRED_LIBRARIES "X11 Xext m")
     CHECK_LIBRARY_EXISTS("Xext" "XScreenSaverRegister" "${X11_LIBRARY_DIR}" XSS_IN_XEXT)
@@ -18,6 +19,10 @@
     ENDIF(XSS_LIB)
     IF(HAVE_X11_EXTENSIONS_SCRNSAVER OR HAVE_CARBON_CARBON_H)
         SET(COMPILE_PLUGIN TRUE)
+    ELSE(HAVE_X11_EXTENSIONS_SCRNSAVER OR HAVE_CARBON_CARBON_H)
+        IF( X11_Xscreensaver_FOUND )
+            SET(COMPILE_PLUGIN TRUE)
+        ENDIF( X11_Xscreensaver_FOUND )
     ENDIF(HAVE_X11_EXTENSIONS_SCRNSAVER OR HAVE_CARBON_CARBON_H)
 ELSE(NOT WIN32)
     SET(COMPILE_PLUGIN TRUE)
@@ -53,6 +58,7 @@
     ENDIF(WIN32)
 
     LINK_DIRECTORIES(${X11_LIBRARY_DIR})
+    INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
     SIM_ADD_PLUGIN(autoaway)
     TARGET_LINK_LIBRARIES(autoaway ${XSS_LIB})
 ELSE(COMPILE_PLUGIN)
