=== plugins/icq/CMakeLists.txt ===
###############
# icq library #
###############
SET(icq_SRCS
        aboutinfo.cpp
        advsearch.cpp
        aimconfig.cpp
        aiminfo.cpp
        aimsearch.cpp
        aimservices.cpp
        encodingdlg.cpp
        homeinfo.cpp
        icq.cpp
        icqbos.cpp
        icqbuddy.cpp
        icqbuffer.cpp
        icqclient.cpp
        icqconfig.cpp
        icqdirect.cpp
        icqicmb.cpp
        icqinfo.cpp
        icqlists.cpp
        icqlocation.cpp
        icqlogin.cpp
        icqmessage.cpp
        icqpicture.cpp
        icqping.cpp
        icqsearch.cpp
        icqsecure.cpp
        icqservice.cpp
        icqssbi.cpp
        icqvarious.cpp
        interestsinfo.cpp
        moreinfo.cpp
        pastinfo.cpp
        polling.cpp
        rtfgen.cpp
        securedlg.cpp
        verifydlg.cpp
        warndlg.cpp
        workinfo.cpp
        xml.cpp
)

SET(icq_HDRS
        aboutinfo.h
        advsearch.h
        aimconfig.h
        aiminfo.h
        aimsearch.h
        encodingdlg.h
        homeinfo.h
        icq.h
        icqbuffer.h
        icqclient.h
        icqconfig.h
        icqinfo.h
        icqmessage.h
        icqpicture.h
        icqsearch.h
        icqsecure.h
        icqssbi.h
        interestsinfo.h
        moreinfo.h
        pastinfo.h
        polling.h
        securedlg.h
        verifydlg.h
        warndlg.h
        workinfo.h
        xml.h
)

SET(icq_UICS
        aboutinfobase.ui
        advsearchbase.ui
        aimconfigbase.ui
        aiminfobase.ui
        aimsearchbase.ui
        encodingdlgbase.ui
        homeinfobase.ui
        icqconfigbase.ui
        icqinfobase.ui
        icqpicturebase.ui
        icqsearchbase.ui
        icqsecurebase.ui
        interestsinfobase.ui
        moreinfobase.ui
        pastinfobase.ui
        securedlgbase.ui
        verifydlgbase.ui
        warndlgbase.ui
        workinfobase.ui
)

ADD_FLEX_FILES(icq_SRCS rtf.ll)

SIM_ADD_PLUGIN(icq)

# install some sounds
INSTALL(FILES sounds/mailpager.wav DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/web.wav DESTINATION ${SIM_SOUND_DIR})
