=== plugins/update/CMakeLists.txt ===
##################
# update library #
##################
IF(FALSE)

SET(update_SRCS
        update.cpp
)

SET(update_HDRS
        update.h
)

SIM_ADD_PLUGIN(update)

ENDIF(FALSE)
