=== debian/changelog ===
sim (0.9.5~svn20080806-2build2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:21:29 -0700

sim (0.9.5~svn20080806-2build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 May 2011 12:03:41 +0100

sim (0.9.5~svn20080806-2) unstable; urgency=low

  * QA upload, set Maintainer to Debian QA Group <packages@qa.debian.org>.
  * Drop "sim" package using kdelibs from KDE 3: (Closes: #604324)
    - remove description in debian/control and update the other descriptions.
    - remove build-depend on kdelibs4-dev.
    - update debian/rules to remove building of "sim" package.
  * Update descriptions from Qt to Qt3.
  * Add source/format to 3.0 (quilt), just for the sake of easy patching.
  * Add patch add_x11 to fix FTBFS.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 12 Mar 2011 19:07:07 +0100

sim (0.9.5~svn20080806-1) unstable; urgency=low

  * New upstream version fixes icq compliation (Closes: #493966)
  * Really replaced sounds and icons with unclear licensing
    with GPL ones. (Closes: #386570)

 -- Alexander Petrov <zowers@gmail.com>  Wed, 06 Aug 2008 17:05:13 +0400

sim (0.9.5~svn20080716-1) unstable; urgency=low

  * New upstream version 0.9.4.5 SVN (Closes: #420095)
  * Replaced sounds and icons with unclear licensing with GPL ones.
    (Closes: #386570)
  * New rules allow double compilation (Closes: #489898)
  * Fixed bashism in debian/rules (Closes: #484436)
  * Updated libpng version in debian/control (Closes: #420094)
  * Added "-- -Z bzip2" to dh_builddeb so that we use bzip2 compression
    for the binary packages instead of gzip.
  * Updated rules and control to use cmake.

 -- Alexander Petrov <zowers@gmail.com>  Tue, 29 Jul 2008 16:17:35 +0400

sim (0.9.4.2-1) unstable; urgency=high

  * New upstream 0.9.4.2 - bugfix release.
  * ICQ plugin fixes (Closes: 407589)

 -- Alexander Petrov <zowers@gmail.com>  Mon, 22 Jan 2007 03:59:09 +0300

sim (0.9.4.1~2-1) unstable; urgency=high

  * SVN version rev. 1158 of bugfix release 0.9.4.1.
  * Upstream doesn't fail to configure flex (Closes: #386392)

 -- Alexander Petrov <zowers@gmail.com>  Wed, 20 Sep 2006 02:30:06 +0400

sim (0.9.4.0+1-1) unstable; urgency=high

  * SVN version rev. 1080 of bugfix release 0.9.4.1.
  * Fully rewritten debian/rules.
  * New binary packages:
    - sim-qt - Qt3 variant (Closes: 237142);
    - sim-data - arch-independent data files.
  * Fixes FTBFS using autoconf 2.60 (Closes: #379636).

 -- Alexander Petrov <zowers@gmail.com>  Thu, 27 Jul 2006 02:56:46 +0400

sim (0.9.4-1) unstable; urgency=low

  * New upstream 0.9.4 - bugfix release (Closes: #376178).
  * Updated Standards-Version to 3.7.2.
  * Reintroduced build-depends versions.

 -- Alexander Petrov <zowers@gmail.com>  Fri, 30 Jun 2006 04:38:02 +0400

sim (0.9.3.99+0.9.4rc2-1) unstable; urgency=low

  * New upstream 0.9.4rc2.
  * Added screensaver dependency for autoaway plugin (libxss-dev)
    (Closes: #365650)
  * Updated Standards-Version to 3.7.0.
  * Updated man page.
  * Added gnupg to Suggests and Description.

 -- Alexander Petrov <zowers@gmail.com>  Thu,  5 May 2006 02:46:12 +0400

sim (0.9.3.99svn20060428-2) unstable; urgency=low

  * Really change maintainer.
  * Reformat changelog to fit in 80 columns.

 -- Alexander Petrov <zowers@gmail.com>  Sat, 29 Apr 2006 10:48:56 +0400

sim (0.9.3.99svn20060428-1) unstable; urgency=low

  * New upstream svn snapshot branches/0.9.4#443 (Closes: #343253) which
    includes:
   - A lot of fixes.
   - Fixed: new message icon in dock is blinking even after reading
     (Closes: #242233)
   - Fixed deing while sending long message (Closes: #259195)
   - Fixed conflict with installed kopete (Closes: #271685)
   - Fixed: icons for ICQ are not set (Closes: #299664)
   - More informative Description field to mention KDE/Qt (Closes: #312047)
   - sim now correctly sends html formatted messages to ICQ (Closes: #328367)
  * New homepage: http://sim-im.org/
  * New maintainer.

 -- Alexander Petrov <zowers@gmail.com>  Fri, 28 Apr 2006 03:09:43 +0400

sim (0.9.3-1.1) unstable; urgency=low

  * Non-maintainer upload
  * recompile for KDE and C++ transition
  * Add versioned Build-Depends to prevent building on
    non-transitioned buildds. Thanks, mrvn_, for helping.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 30 Sep 2005 13:27:53 +0000

sim (0.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #237407 #232035 #215316 #229659)

 -- Murat Demirten <murat@debian.org>  Wed,  31 Mar 2004 00:05:33 +0000

sim (0.9.2+cvs20040307-1) unstable; urgency=low

  * CVS daily snapshot of future 0.9.3 version.

 -- Murat Demirten <murat@debian.org>  Mon,  07 Mar 2004 20:56:46 +0000

sim (0.8.3-2) unstable; urgency=low

  * Fixed unsatisfied Build Dependency Problem.

 -- Murat Demirten <murat@debian.org>  Thu,  2 Oct 2003 17:00:13 +0000

sim (0.8.3-1) unstable; urgency=low

  * Initial Release. (Closes: #180346)

 -- Murat Demirten <murat@debian.org>  Sun,  3 Aug 2003 16:49:41 +0000
