=== debian/control ===
Source: sim
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), flex, cmake (>= 2.4.8), libtool (>= 1.5.20), g++ (>= 4.0), libpng12-dev (>= 1.2.27), libqt3-mt-dev (>= 3:3.3.8), libqt3-headers (>= 3:3.3.8), qt3-dev-tools (>= 3:3.3.8), libssl-dev (>= 0.9.8g), zlib1g-dev (>= 1:1.2.3.3), libexpat1-dev (>= 1.95.8), libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.24), libxft-dev (>= 2.1.12), libxss-dev (>= 1:1.1.3), zip
Standards-Version: 3.8.0
Homepage: http://sim-im.org/

Package: sim-qt
Architecture: any
Depends: ${shlibs:Depends}, sim-data (= ${source:Version})
Conflicts: sim (<= ${source:Version})
Replaces:  sim (<= ${source:Version})
Suggests: gnupg (>= 1.4.6)
Homepage: http://sim-im.org/
Description: simple instant messenger (Qt3)
 SIM-IM is a simple and powerful multi-protocol instant messenger.
 .
 Some of the features:
  * Supported protocols: ICQ, Jabber, MSN, AIM, 
    Yahoo!, LiveJournal;
  * Receiving and sending SMS;
  * Server-side contact list;
  * Receiving and the sending messages in RTF-format;
  * Phone directory support;
  * File transfers;
  * Chat;
  * Support Miranda icon themes;
  * Spam filter;
  * Secure direct connection with SIM and L-ICQ;
  * GPG encryption using gnupg;
  * Message or chat mode for user window;
  * On-Screen display notification about messages and user status;
  * Sending of the messages to several users;
  * Proxy: HTTP/HTTPS, SOCKS4, SOCKS5.
 .
  This package is compiled with Qt3 support.

Package: sim-data
Architecture: all
Conflicts: sim (<< ${source:Version})
Replaces:  sim (<< ${source:Version})
Suggests: sim-qt (= ${source:Version})
Description: Sim-IM Instant Messenger data files
 sim is a simple and powerful multi-protocol instant messenger.
 .
  This package contains data files for sim-qt package.
