=== debian/rules ===
#!/usr/bin/make -f
# sim-im debian/rules that uses debhelper.
# Copyright (c) 2006-2008 Alexander 'zowers' Petrov.


CMAKE_INSTALL_PREFIX=/usr
DEV_BUILD=NO
SIM_ENABLE_FPIE=YES
USE_GCC_VISIBILITY=YES
WARN_FLAGS=-w -Wno-conversion -Wno-parentheses
CFLAGS:=$(CFLAGS) $(WARN_FLAGS)
CXXFLAGS:=$(CXXFLAGS) $(WARN_FLAGS)
COMMON_OPTIONS=-DCMAKE_C_FLAGS:STRING="$(CFLAGS)" \
	-DCMAKE_CXX_FLAGS:STRING="$(CXXFLAGS)" \
	-DCMAKE_INSTALL_PREFIX:STRING="$(CMAKE_INSTALL_PREFIX)" \
	-DDEV_BUILD:BOOL="$(DEV_BUILD)" \
	-DSIM_ENABLE_FPIE:BOOL="$(SIM_ENABLE_FPIE)" \
	-DUSE_GCC_VISIBILITY:BOOL="$(USE_GCC_VISIBILITY)"

SIM_QT_OPTIONS	=	$(COMMON_OPTIONS) -DENABLE_KDE3:BOOL=NO

TMP_DIR	=	$(CURDIR)/debian/tmp


clean:
	dh_clean
	rm -f *-stamp
	rm -fr build-sim build-sim-qt


install: 	configure install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	make -C build-sim-qt install DESTDIR=$(TMP_DIR)/sim-qt
	find $(TMP_DIR) -type l -name libsim.so -exec rm -f '{}' +
	touch $@


configure: 	configure-stamp
configure-stamp:
	mkdir build-sim build-sim-qt
	cd build-sim-qt && cmake $(SIM_QT_OPTIONS) .. 
	touch $@

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 	 -psim-qt
	dh_installdocs		-psim-qt
	dh_installman		-psim-qt
	dh_installmenu		-psim-qt
	dh_install		-psim-qt
	dh_lintian		-psim-qt
	dh_link			-psim-qt
	dh_strip		-psim-qt
	dh_installdebconf	-psim-qt
	dh_compress		-psim-qt
	dh_fixperms		-psim-qt
	dh_makeshlibs	-psim-qt
	dh_installdeb	-psim-qt
	dh_shlibdeps	-psim-qt
	dh_gencontrol	-psim-qt
	dh_md5sums		-psim-qt
	dh_builddeb		-psim-qt -- -Z bzip2

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 	-psim-data
	dh_installdocs		-psim-data
	dh_installman		-psim-data
	dh_installmenu		-psim-data
	dh_install		-psim-data
	dh_lintian		-psim-data
	dh_link			-psim-data
	dh_strip		-psim-data
	dh_installdebconf	-psim-data
	dh_compress		-psim-data
	dh_fixperms		-psim-data
	dh_makeshlibs		-psim-data
	dh_installdeb		-psim-data
	dh_shlibdeps		-psim-data
	dh_gencontrol		-psim-data
	dh_md5sums		-psim-data
	dh_builddeb 		-psim-data -- -Z bzip2

binary: binary-arch binary-indep

.PHONY: build \
	clean \
	binary \
	binary-arch \
	binary-indep \
	install \
	configure
