## sim 2.6-pdp10.rev1

=== Makefile ===
pdp10:
	gcc -O -o pdp10 -DPDP10 -DUSE_INT64 pdp10_*.c dz11.c scp*.c -lm -lnsl -lsocket
pdp11:
	gcc -O -o pdp11 -DPDP11 -DUSE_INT64 pdp11_*.c dz11.c scp*.c -lm -lnsl -lsocket
